Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSravan Kumar Lakkimsetti2017-01-17 17:30:29 +0000
committerSravan Kumar Lakkimsetti2017-01-17 17:33:23 +0000
commit703612b0d65acc3f50718e7e348fea5aa433193f (patch)
tree9d57fbec3bbe77a443257e2a63b6cf3d5bb77b9f /production/reports
parent12a5b8430fc7bbb62f65315971379ed3bc33c6f7 (diff)
downloadeclipse.platform.releng.aggregator-703612b0d65acc3f50718e7e348fea5aa433193f.tar.gz
eclipse.platform.releng.aggregator-703612b0d65acc3f50718e7e348fea5aa433193f.tar.xz
eclipse.platform.releng.aggregator-703612b0d65acc3f50718e7e348fea5aa433193f.zip
Bug 509572 - Provide our jdeps report to other projects
Change-Id: I12acf6928682f339f6020e0e9b75ae1f2252b7b2 Signed-off-by: Sravan Kumar Lakkimsetti <sravankumarl@in.ibm.com>
Diffstat (limited to 'production/reports')
-rwxr-xr-xproduction/reports/jdepsReport.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/production/reports/jdepsReport.sh b/production/reports/jdepsReport.sh
new file mode 100755
index 000000000..d72aedd88
--- /dev/null
+++ b/production/reports/jdepsReport.sh
@@ -0,0 +1,49 @@
+#!/bin/bash -x
+#*******************************************************************************
+# Copyright (c) 2017 IBM Corporation and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+# Sravan Kumar Lakkimsetti - initial API and implementation
+#*******************************************************************************
+
+# Utility to generate jdeps -jdkinternals report
+# Requires 2 parameters
+# - repo location
+# - output filename (full path)
+
+# Uses JAVA_HOME environment variable if set. else defaults to /shared/common/jdk1.8.0_x64-latest
+
+JAVA_8_HOME=/shared/common/jdk1.8.0_x64-latest
+export JAVA_HOME=${JAVA_HOME:-${JAVA_8_HOME}}
+
+if [ $# -ne 2 ]
+then
+ echo "USAGE: $0 <Repository Location> <report file name with full path>"
+ exit 1
+fi
+
+repo=$1
+outputFile=$2
+outputDir=$(dirname ${outputFile})
+
+if [ ! -d "${repo}" ]
+then
+ echo "${repo} does not exist. Exiting ...."
+ exit 1
+fi
+
+if [ ! -d "${JAVA_HOME}" ]
+then
+ echo "${JAVA_HOME} does not exist. Please set JAVA_HOME and run again ...."
+ exit 1
+fi
+
+mkdir -p ${outputDir}
+
+echo -e "\n\n\n#jdeps -jdkinternals output:" > ${outputFile}
+find ${repo} -name "*.jar" -exec ${JAVA_HOME}/bin/jdeps -jdkinternals {} \; >> ${outputFile}
+echo "# " >> ${outputFile}

Back to the top